kifas.workflow.get_run
kifas.workflow.get_run
Section titled “kifas.workflow.get_run”Fetch the status and node-level results for a workflow run. Returns run metadata and per-node execution records. Single read path for both vibe-authored runs (Slice E agent loop) and canvas/code/mcp runs (F.1 engine).
Required scopes: workflow:read
Parameters
Section titled “Parameters”| Name | Type | Required | Default | Description |
|---|---|---|---|---|
run_id |
string |
yes | — |
Returns
Section titled “Returns”{ "type": "object", "properties": { "run": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" }, "type": { "anyOf": [ { "type": "string", "enum": [ "workflow", "direct_connection" ] }, { "type": "null" } ] }, "workflow_id": { "anyOf": [ { "type": "string", "format": "uuid", "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" }, { "type": "null" } ] }, "workflow_version": { "type": [ "string", "null" ] }, "status": { "type": "string", "enum": [ "running", "completed", "failed", "aborted", "paused", "paused_credits", "unreported" ] }, "outcome": { "anyOf": [ { "type": "string", "enum": [ "success", "failed", "aborted" ] }, { "type": "null" } ] }, "started_at": { "type": [ "string", "null" ] }, "ended_at": { "type": [ "string", "null" ] } }, "required": [ "id", "workflow_id", "status", "outcome", "started_at", "ended_at" ], "additionalProperties": false }, "node_runs": { "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" }, "node_id": { "type": "string" }, "status": { "type": "string", "enum": [ "pending", "running", "success", "failed", "aborted", "request_access_required", "paused", "skipped" ] }, "duration_ms": { "anyOf": [ { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, { "type": "null" } ] }, "started_at": { "type": [ "string", "null" ] }, "ended_at": { "type": [ "string", "null" ] }, "outputs": { "type": "object", "propertyNames": { "type": "string" }, "additionalProperties": {} }, "screenshots": { "type": "array", "items": { "type": "string" } }, "target_id": { "type": [ "string", "null" ] } }, "required": [ "id", "node_id", "status" ], "additionalProperties": false } } }, "required": [ "run", "node_runs" ], "additionalProperties": false}Code samples
Section titled “Code samples”TypeScript (Anthropic MCP SDK)
import { Client } from '@modelcontextprotocol/sdk/client/index.js'import { StreamableHTTPClientTransport } from '@modelcontextprotocol/sdk/client/streamable-http.js'
const transport = new StreamableHTTPClientTransport( new URL('https://mcp.kifas.io/'), { requestInit: { headers: { Authorization: `Bearer ${process.env.KIFAS_API_KEY}` }, }, },)const client = new Client({ name: 'demo', version: '0.1.0' })await client.connect(transport)
const result = await client.callTool({ name: 'kifas.workflow.get_run', arguments: { "run_id": "00000000-0000-0000-0000-000000000000" },})console.log(result)Python (httpx, raw JSON-RPC)
import osimport httpx
resp = httpx.post( "https://mcp.kifas.io/", headers={ "Authorization": f"Bearer {os.environ['KIFAS_API_KEY']}", "Content-Type": "application/json", }, json={ "jsonrpc": "2.0", "id": 1, "method": "tools/call", "params": { "name": "kifas.workflow.get_run", "arguments": { "run_id": "00000000-0000-0000-0000-000000000000" }, }, },)print(resp.json())curl
curl https://mcp.kifas.io/ \ -H "Authorization: Bearer $KIFAS_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "jsonrpc": "2.0", "id": 1, "method": "tools/call", "params": { "name": "kifas.workflow.get_run", "arguments": { "run_id": "00000000-0000-0000-0000-000000000000" } }}'Raw JSON-RPC body
{ "jsonrpc": "2.0", "id": 1, "method": "tools/call", "params": { "name": "kifas.workflow.get_run", "arguments": { "run_id": "00000000-0000-0000-0000-000000000000" } }}Try it
Section titled “Try it”Want to try kifas.workflow.get_run? Sign in to the dashboard and run it against a real session.